<?php
//02-04-2026 Errores de caché y páginas cortadas a mitad. VCDL
//28-04-2026 El comando ob_start() devuelve un error 502 Bad Gateway en interservis. Según IA Prueba a limpiar el Buffer. Asegúrate de que no estás anidando buffers sin cerrarlos. Intenta estructurar tu código así:
/*
try {
    ob_start();
    // Limpia y envía
    if (ob_get_level() > 0) {
        ob_end_flush();
    }
} catch (Throwable $e) {
    // Si hay un error, limpia el buffer para que no se quede bloqueado
    if (ob_get_level() > 0) {
        ob_end_clean();
    }
    echo "Error: " . $e->getMessage();
}
*/
ob_start();
$isIIS = ( isset($_SERVER['SERVER_SOFTWARE']) && strpos($_SERVER['SERVER_SOFTWARE'], 'Microsoft-IIS')!==false );
if(!$isIIS) opcache_reset();

session_start();

require_once('config.php');
require_once($rutaPhp.$rutaHtml.'/maqueta/includes.php');

//include($rutaPhp.$rutaHtml.'/librerias/constantes.php');
//include($rutaPhp.$rutaHtml.'/librerias/funciones-cachews-customNusoap.php');
//include($rutaPhp.$rutaHtml.'/librerias/funciones-generales.php');

$traza=(isset($_GET['traza']) && $_GET['traza']=='si');

if(isset($_GET['discrepancias']) && $_GET['discrepancias']=='si') $pantallaDiscrepancias=true;
else $pantallaDiscrepancias=false;

//03-08-2022 Puntos control
$puntosControlDescarga=($_SESSION['parametrosSGA']['PuntosControlDescarga']=='S');

//26-03-2025
$asociacionEANaProductos=($_SESSION['parametrosSGA']['AsociacionEANaProductos']=='S');

//Esto por seguridad, para el script entrada-mercancia-gs1-proceso.php que está condicionado y es mixto para ambos procesos
$_SESSION['entradaEsRecepcionCompra']=false;


// TEMPORAAAAAAAAAAL
// ESTO HAY QUE BORRARLO, LO HE PUESTO EN LA PRIMERA ACTUALIZACION DE SPANISH, PARA QUE NO HAGAN LOGOUT

// 26-1-2022 Por ahora cogemos este parámetro del config, porque la pantalla de ENTRADAS es común. Pero habrá que parametrizarlo en proxium
$_SESSION['entradaFechaCaducidadPorDefecto']=$entradaFechaCaducidadPorDefecto;
$_SESSION['entradaFechaCaducidadPorDefectoAmpliacionDias']=$entradaFechaCaducidadPorDefectoAmpliacionDias;
$_SESSION['entradaFechaCaducidadPorDefectoAmpliacionMeses']=$entradaFechaCaducidadPorDefectoAmpliacionMeses;
$_SESSION['entradaFechaCaducidadPorDefectoAmpliacionAnyos']=$entradaFechaCaducidadPorDefectoAmpliacionAnyos;
$_SESSION['entradaOperativaCNFC']=$entradaOperativaCNFC;

/////////////////



include($rutaPhp.$rutaHtml.'/acceso/control.php');
include($rutaPhp.$rutaHtml.'/maqueta/arriba.php');

include($rutaPhp.$rutaHtml.'/librerias/teclado.php');

//// 06-07-2020 Modo de lectura en entrada directo o por EAN
//$_SESSION['modoslecturaEntradas'][$_SESSION['entrada']['NumEntrada']];
//Modo: L = listado
//Modo: C = codigos

//01-02-2022 Automatizar el play de producto
if($_GET['automatizarProducto']) $automatizarProducto=$_GET['automatizarProducto'];


//31-01-2022 Borrar lineas

if($_GET['borrar']=='si' && $_GET['linea']) {

	$peticion='SGAEntradasMercancia#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#BORRARLINEA#'.$_SESSION['almacen'].';'.$_SESSION['entrada']['Empresa'].';'.$_SESSION['entrada']['NumEntrada'].';'.$_GET['linea'];
	$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);

	if($_GET['traza']=='si') {
		echo "<p>".$peticion."</p>";
		print_r($resultado);
	}
	
	$valores=explode('#',$resultado[0]['Error']);
	
	if($valores[0]==1) {
		?><script>alert('Error: <?php echo $valores[1]; ?>',null,'error');</script><?php
	}
	else {
		?><script>
		$('#popupCargando').show();
		window.location='entrada-mercancia-gs1.php';
		</script>
		<?php
	}

}








/////////////////////////// FICHAJES
///////////////////////////

$fichajeEntradas=($_SESSION['parametrosSGA']['FichajeEntradas']=='S');
$pedirUbicacion=$_SESSION['seleccionUbicacionEntrada'];
$_SESSION['accion']='entrada'; //Para la gestion de trabajadores, se diferencia entre "etiquetado"/"precintado" y ahora "entrada"


if($_POST['botonAsociarTrabajadores']) {

	$trabajadores='';

	foreach($_POST as $campo=>$valor) {
		if(substr($campo,0,22)=='seleccionarTrabajador-') {
			$trabajador=substr($campo,22,strlen($campo));
			$trabajadores.=$trabajador.';';
		}
	}
	
	$trabajadores=substr($trabajadores,0,-1);

	$peticion='SGAFichajesAsociarTrabajador#'.$_SESSION['empresa'].'#'.strtoupper($_SESSION['accion']).'#'.$_SESSION['entrada']['NumEntrada'].'#'.$trabajadores.'#'.$_SESSION['usuario']['Usuario'];
	$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);

	if($_GET['traza']=='si') {
		echo "<p>".$peticion."</p>";
		print_r($resultado);
	}
	
	$valores=explode('#',$resultado[0]['Error']);
	
	if($valores[0]==1) {
		?><script>alert('Error: <?php echo $valores[1]; ?>',null,'error');</script><?php
	}
	
}

///////////////////////////
/////////////////////////// Fin Fichajes


unset( $_SESSION['producto'] );
unset( $_SESSION['lecturasGS1'] );
unset( $_SESSION['lecturasTemporalesGS1'] );
unset( $_SESSION['lecturasTotales'] );

unset( $_SESSION['entradaPaletActual'] );
unset( $_SESSION['entradaPaletActualTipo'] );
unset( $_SESSION['entradaPaletActualEsChep'] );
unset( $_SESSION['entradaPaletActualUbicacion'] );
unset( $_SESSION['entradaPaletActualAncho'] );
unset( $_SESSION['entradaPaletActualAlto'] );
unset( $_SESSION['entradaPaletActualFondo'] );

unset( $_SESSION['entradaUbicacionActual'] );

unset( $_SESSION['ubicacionPaletEntradaAutomatizar'] );

if($_GET['entrada'] && $_GET['empresa']) {
	
	$peticion='SGAEntradasMercancia#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#DETALLEENTRADA#'.$_SESSION['almacen'].';'.$_GET['empresa'].';'.$_GET['entrada'];
	
	//unset($_SESSION['atributosPaletsConfirmadosEntrada']);
	
}
else {

	//Recarga
	$peticion='SGAEntradasMercancia#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#DETALLEENTRADA#'.$_SESSION['almacen'].';'.$_SESSION['entrada']['Empresa'].';'.$_SESSION['entrada']['NumEntrada'];

}

$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
	
if($_GET['traza']=='si') {
	echo "<p>".$peticion."</p>";
	print_r($resultado);
	
}

//echo '<p>atributosPaletsConfirmadosEntrada: '.$_SESSION['atributosPaletsConfirmadosEntrada'].'</p>';
	
$_SESSION['entrada']=$resultado[0];
$_SESSION['palets']=arreglaArrayPXMobileProxiumResult($_SESSION['entrada']['DetallePalets']);

//23-09-2025
$esDevolucion=($_SESSION['entrada']['EsDevolucion']=='S');

//21-20-2025
$cambioEstadoDevolucion=($_SESSION['parametrosSGA']['EstadoProductosRecepcion']=='S');


//12-02-2025 CREACION DEL ARBOL DE AGRUPACIONES PALETS/CAJAS
include('contenidos/entrada-mercancia-gs1-agrupaciones-constructor.php');





$_SESSION['productos']=arreglaArrayPXMobileProxiumResult($_SESSION['entrada']['ListaProductos']);


//29-06-2023 mostramos matriculas
$cadenaMatriculas='';
if($_SESSION['entrada']['MatriculaTractora']) $cadenaMatriculas.=$_SESSION['entrada']['MatriculaTractora'];
if($_SESSION['entrada']['MatriculaRemolque']) {
	if($cadenaMatriculas!='') $cadenaMatriculas.='<br>';
	$cadenaMatriculas.=$_SESSION['entrada']['MatriculaRemolque'];
}



// GESTION DE LOS LISTADOS DE PRODUCTOS

$productosALeer=array();
$productosLeidos=array();

$hayDiscrepancias=($_SESSION['entrada']['HayDiscrepancias']=='S');



$discrepanciasSinLeer=array();
$discrepanciasLeidoDeMas=array();
$discrepanciasNuevos=array();
$discrepanciasCaracteristicas=array();
//22-10-2025
$discrepanciasEstados=array();

//29-11-2024
$hayCaracteristicasProducto=false;

foreach($_SESSION['productos'] as $producto) {


	if($producto['Leido']>0) {
		$productosLeidos[]=$producto;
		if( $producto['Cantidad'] > $producto['Leido'] ) $productosALeer[]=$producto;
	}
	else $productosALeer[]=$producto; 
	
	if($hayDiscrepancias && $traza) {
		echo '<hr>';
		echo '<p>DISCREPANCIAS POR PRODUCTO</p>';
		print_r($producto);
		echo '<p>MarcaDiscrepancia: '.$producto['MarcaDiscrepancia'].'</p>';
		echo '<p>MarcaLineaNueva: '.$producto['MarcaLineaNueva'].'</p>';
		echo '<p>Cantidad: '.$producto['Cantidad'].' / frente a leido: '.$producto['Leido'].'</p>';
		echo '<p>CantidadExcedida: '.$producto['CantidadExcedida'].'</p>';
		echo '<p>CaracteristicasProducto: '.$producto['CaracteristicasProducto'].'</p>';
		echo '<hr>';
	}
	
	if($producto['MarcaDiscrepancia']=='S') {
		$discrepanciasCaracteristicas[]=$producto; //En la pantalla de revisión priorizamos los que tienen discrepancias en caracteristias, aunque tb sea nuevo o de mayor cantidad
	}
	else if( $producto['MarcaLineaNueva']=='S') {
		$discrepanciasNuevos[]=$producto;
	}
	else if( $producto['Cantidad']>$producto['Leido']) {
		$discrepanciasSinLeer[]=$producto;
	}
	else if($producto['CantidadExcedida']) {
		$discrepanciasLeidoDeMas[]=$producto;
	}
	
	//29-11-2024
	if($producto['CaracteristicasProducto']) {
		$hayCaracteristicasProducto=true;
	}
	
	//22-10-2025
	if($cambioEstadoDevolucion && $producto['EstadoRecepcion']!=$_SESSION['entrada']['EstadoDevolucion']) {
		$discrepanciasEstados[]=$producto;
	}
	
}







//5-2-2021 para mostrar la columna info por linea
$_SESSION['entrada']['mostrarObservacionesAduana']=($_SESSION['entrada']['Regimen']=='DA' || $_SESSION['entrada']['Regimen']=='DDA' || $_SESSION['entrada']['Regimen']=='ADT' || $_SESSION['entrada']['Regimen']=='LAME');

//27-8-2019 creo un nuevo array con los palets utilizados, para poder pintar en rojo los no utilizados
$_SESSION['paletsConProductos']=array();
$_SESSION['paletsSinProductos']=array();

//Array para relacionar ids de palet proxium-cliente
$_SESSION['relacionPaletsProxiumCliente']=array();
$_SESSION['relacionPaletsProxiumClienteSubId']=array();

foreach($_SESSION['productos'] as $producto) {
	
	$palets=arreglaArrayPXMobileProxiumResult($producto['ProductoPalets']);
	foreach($palets as $palet) {
		if($palet['CodigoPalet']!='-') {
			//echo '<p>Se comprueba palet: '.$palet['CodigoPalet'].' con CantidadLeida: '.$palet['CantidadLeida'].'</p>';
			if((float)$palet['CantidadLeida']>0) {
				$_SESSION['paletsConProductos'][]=$palet['CodigoPalet'];
				if($palet['IdPaletCliente']) {
					$_SESSION['relacionPaletsProxiumCliente'][$palet['CodigoPalet']]=$palet['IdPaletCliente'];
					//17-05-2022 transbidasoa
					$_SESSION['relacionPaletsProxiumClienteSubId'][$palet['CodigoPalet']]=$palet['IdSubPaletCliente'];
				}
			}
			else $_SESSION['paletsSinProductos'][]=$palet['CodigoPalet'];
		}
	}
	
	//27-11-2019 Comprobación de si existen puntos de control, para mostrar una columna más
	if($producto['PuntosDeControl']) $hayPuntosControl=true;
}




if($_GET['traza']=='si') {
	echo "<p>Palets con productos:</p>";
	print_r($_SESSION['paletsConProductos']);
	echo "<p>Palets SIN productos:</p>";
	print_r($_SESSION['paletsSinProductos']);
	echo "<p>Palets relacionados:</p>";
	print_r($_SESSION['relacionPaletsProxiumCliente']);
}


//19-05-2026 Multioperario
$gestionMultiOperario=(isset($_SESSION['parametrosSGA']['GestionMultioperarioEntradas']) && $_SESSION['parametrosSGA']['GestionMultioperarioEntradas']=='S' && isset($_SESSION['entrada']['Multioperario']) && $_SESSION['entrada']['Multioperario']=='S');

?>

<div class="estilosOP">

<div id="popupNumerosSerie" class="popup" style="display:none"></div>
<div id="popupNumerosSerieContenido" class="popupContenidoScroll" style="display:none"></div>

<div id="popupCaracteristicas" class="popup" style="display:none">
	<div id="popupCaracteristicasContenido" class="popupContenido"></div>
</div>

<div id="confirmacionCierre" class="popup" style="display:none">
	<div id="confirmacionCierreContenido" class="popupContenido">
    	<p><img src="<?php echo DIR_IMAGENES; ?>/iconos/advertencia.png" style="width:60px;height:60px;margin-top:20px"/></p>
    	<h2>Confirmación de cierre</h2>
        <p>Atención, esta Entrada tiene discrepancias respecto a la previsión original. ¿Deseas hacer una revisión o confirmar la lectura?</p>
        <p><input type="button" name="botonRevisar" id="botonRevisar" value="Revisar discrepancias" class="boton" /></p>
        <p style="margin-bottom:50px"><input type="button" name="botonConfirmarDefinitivo" id="botonConfirmarDefinitivo" value="CONFIRMAR LECTURA" class="boton" /></p>
    </div>
</div>

<div id="popupModoLecturaEntrada" class="popup" style="display:none;">
    <div class="popupContenido" id="popupModoLecturaEntradaContenido">
   	  <h2 style="margin:50px 0 30px 0">Selecciona el modo de selección de artículos:</h2>
      <input type="hidden" name="gestionaIninicio" id="gestionaInicio" value="" />
      <table style="margin:0 auto;font-size:1.5em">
        	<tr><td align="left"><label><input id="modoLecturaP" name="modoLectura" type="radio" value="L" class="checkGrande" <?php if($_SESSION['modoslecturaEntradas'][ $_SESSION['entrada']['NumEntrada'] ]=='L') { ?>checked<?php } ?>/> <span style="vertical-align:20%">A partir del listado de la Entrada</span></label></td><td><img src="<?php echo DIR_IMAGENES; ?>/entrada-modo-L.png" class="entradaModoIconoSelector" /></td></tr>
            <tr><td align="left"><label><input id="modoLecturaC" name="modoLectura" type="radio" value="C" class="checkGrande" <?php if($_SESSION['modoslecturaEntradas'][ $_SESSION['entrada']['NumEntrada'] ]=='C') { ?>checked<?php } ?>/> <span style="vertical-align:20%">A partir lecturas de códigos de barras</span></label></td><td><img src="<?php echo DIR_IMAGENES; ?>/entrada-modo-C.png" class="entradaModoIconoSelector" /></td></tr>
             <tr><td align="left"><label><input id="modoLecturaM" name="modoLectura" type="radio" value="M" class="checkGrande" <?php if($_SESSION['modoslecturaEntradas'][ $_SESSION['entrada']['NumEntrada'] ]=='M') { ?>checked<?php } ?>/> <span style="vertical-align:20%">Selección mixta</span></label></td><td><img src="<?php echo DIR_IMAGENES; ?>/entrada-modo-M.png" class="entradaModoIconoSelector" /></td>
             </tr>
             
             <?php if($_SESSION['entradaOperativaCNFC']) { ?>
             <tr><td align="left"><label><input id="modoLecturaCNFC" name="modoLectura" type="radio" value="CNFC" class="checkGrande" <?php if($_SESSION['modoslecturaEntradas'][ $_SESSION['entrada']['NumEntrada'] ]=='CNFC') { ?>checked<?php } ?>/> <span style="vertical-align:20%">Por Palet</span></label></td><td><img src="<?php echo DIR_IMAGENES; ?>/palet-vacio.png" class="entradaModoIconoSelector" style="width:80px;"/></td>
             </tr>
             <?php } ?>
             
      </table>
      <p><input type="button" name="botonModoLecturaAceptar" id="botonModoLecturaAceptar" value="ACEPTAR" class="boton"/></p>
      <p><input type="button" name="botonModoLecturaCancelar" id="botonModoLecturaCancelar" value="Cancelar" class="boton reducido"/></p>
    </div>
</div>



<?php
    
// DOCUMENTOS

if( $_SESSION['entrada']['Documentos'] ) {

	$_SESSION['documentos']=arreglaArrayPXMobileProxiumResult($_SESSION['entrada']['Documentos']); //26-09-2025 Parámetro en implantación NX. Si no está activo, no llega este bloque. Por rutina en el ws

	$mostrarMenuDocumentos=true;

	?>
	
	<div id="popupDocumentos" class="popup" style="display:none"></div>
	<div id="popupDocumentosContenido" class="popupContenidoScroll" style="display:none"></div>

	<script>
	
		$(document).ready(function() {
		
			$('#verDocumentos').on('click',function(){
			
				$('#popupCargando').show();
				
				$.post( "<?php echo $rutaHtml; ?>/contenidos/documentos.php", { } )
				.done(function(data) {
				
					$('#popupDocumentosContenido').html(data);
					
					$('#popupDocumentosContenido').css('top',$(document).scrollTop()+100);
					
					$('#popupDocumentos').show();
					$('#popupDocumentosContenido').show();
					
					$('#popupCargando').hide();
				
				});
				
			});
		
		});
	
	</script>
	
	<?php

}
else unset($_SESSION['documentos']);
?>



<h2>Entrada de mercancía <?php if($esDevolucion) { ?>por devolución<?php } ?> Nº <?php if($_GET['entrada']) echo $_GET['entrada']; else echo $_SESSION['entrada']['NumEntrada']; ?></h2>

<?php if( isset($modoLecturaEntradaPorDefecto) && $modoLecturaEntradaPorDefecto!='L' ) $ocultarSelectorLinea=true; else $ocultarSelectorLinea=false; ?>

<input type="hidden" name="modoLectura" id="modoLectura" value="<?php if($modoLecturaEntradaPorDefecto) echo $modoLecturaEntradaPorDefecto; else echo $_SESSION['modoslecturaEntradas'][ $_SESSION['entrada']['NumEntrada'] ]; ?>" />

<?php
if($resultado[0]['Error']) {
	$valores=explode('#',$resultado[0]['Error']);
	?><p class="error">ERROR: <?php echo $valores[1]; ?></p><?php
}
else {
?>

<table class="tablaFormateada anchoMaximo desplazamientoSuperior">
<tr>
	<?php if(count($_SESSION['empresas'])>1) { ?><th>Empresa</th><?php } ?>
    <th>Fecha</th>
	<th>Matrículas</th>
	<th>Régimen</th>
	<th>Cliente</th>
	<th>Nombre Cliente</th>
    <th>Ref. Cliente</th>
	<th>Tipo Entrada</th>
	<th>Documento</th>
	<th>Expedidor</th>
    <?php if($puntosControlDescarga) { ?><th>Control Descarga</th><?php } ?>
    <?php if($_SESSION['parametrosSGA']['EntradasPanelControl']=='S') { ?><th>Usuarios Asignados</th><?php } ?>
</tr>
<tr>
	<?php if(count($_SESSION['empresas'])>1) { ?><td><?php echo $_SESSION['entrada']['Empresa']; ?></td><?php } ?>
    <td><?php echo fechaNacional($_SESSION['entrada']['FechaEntrada']); ?></td>
    <td><?php echo $cadenaMatriculas; ?></td>
    <td><?php echo $_SESSION['entrada']['Regimen']; ?></td>
    <td><?php echo $_SESSION['entrada']['ClientePropietario']; ?></td>
	<td><?php echo $_SESSION['entrada']['NombreClientePropietario']; ?></td>
    <td><?php echo $_SESSION['entrada']['ReferenciaCliente']; ?></td>
	<td><?php echo $_SESSION['entrada']['TipoEntrada']; ?></td>
	<td><?php echo $_SESSION['entrada']['TipoDocumento']; ?> <?php echo $_SESSION['entrada']['NumeroDocumento']; ?></td>
	<td><?php echo $_SESSION['entrada']['Expedidor']; ?></td>
    <?php if($puntosControlDescarga) { ?><td><?php echo $_SESSION['entrada']['PuntosControlEstado']; ?></td><?php } ?>
    <?php if($_SESSION['parametrosSGA']['EntradasPanelControl']=='S') { ?>
    <td>
    <?php foreach(explode(',',$_SESSION['entrada']['UsuariosAsignados']) as $usuario) echo $usuario.'<br>'; ?>    </td>
	<?php } ?>
  </tr>
</table>
    
    
<?php if($esDevolucion) { ?>

    <?php if($_SESSION['entrada']['EstadoDevolucionDescrip']) { ?><p>Los productos entrarán en stock con el estado: <strong class="error"><?php echo $_SESSION['entrada']['EstadoDevolucionDescrip']; ?></strong></p><?php } ?>
    <p>Los productos se ubicarán por defecto en la <strong class="error">Playa de devolución (<?php echo $_SESSION['playas']['PlayaDevolucion']; ?>)</strong></p>

<?php } ?>



<?php

if($gestionMultiOperario) {

	if($_SESSION['entrada']['Operarios']) {
	
		$valores=explode(',',$_SESSION['entrada']['Operarios']);
		$multiOperario_operarios=array();
		$multiOperario_estoy_yo=false;
	
		//Miramos si estoy yo solo
		foreach($valores as $item) if($item==$_SESSION['usuario']['Usuario']) $multiOperario_estoy_yo=true;
		else $multiOperario_operarios[]=$item;
		
		$multiOperario_colspan=count($multiOperario_operarios);
		
		if(!$multiOperario_estoy_yo) {
			$multiOperario_colspan++;
			$desactivarPlay=True;
		}
	
		if(count($multiOperario_operarios)>0) {
		
			?>
			<table class="tablaFormateada" style="margin-top:20px">
			<tr>
				<th colspan="<?php echo$multiOperario_colspan ; ?>">Otros operarios trabajando en esta entrada</th>
			  </tr>
			  <tr>
			  <?php foreach($multiOperario_operarios as $operario) { ?>
				<td style="font-size:1.6em;"><img src="<?php echo DIR_IMAGENES; ?>/operario.png" style="width:40px;height:40px;margin-bottom:-10px"/><?php echo $operario; ?></td>
			  <?php } ?>
              <?php if(!$multiOperario_estoy_yo) { ?>
              <td><input type="button" id="multioperario_boton_agregar" value="Asociarme" class="boton"/></td>
              <?php } ?>
			  </tr>
			</table>
            
           	<script>
			
			$(document).ready(function() {
			
				$('#multioperario_boton_agregar').on("click",function(e){
		
					botonPlay(true);
					
				});
				
			});
			
			</script>
             
			<?php
		}
	
	}

}
?>


    
<?php if($puntosControlDescarga) { ?>

<?php $puntosDeControl=arreglaArrayPXMobileProxiumResult($_SESSION['entrada']['PuntosControl']); ?>

<p><input type="button" id="botonControlDescarga" name="botonControlDescarga" value="Control Descarga" class="boton"/></p>


<div id="popupControlDescarga" class="popup" style="display:none"></div>
<div id="popupControlDescargaContenido" class="popupContenidoScroll" style="display:none">
    
   <h2>Control Descarga</h2>
    
    	<table class="tablaFormateada">
        
        <tr>
        	<th>Estado</th>
            <th>Descripción</th>
            <th>Valor</th>
            <th colspan="2">Observaciones</th>
        </tr>
        
        <?php //05-10-2022 se permite que se deje a medias y continuar si no están todos enviados ?>
        <?php $faltanPuntos=false; ?>
    	
		<?php foreach($puntosDeControl as $puntoControl) { ?>
        <?php if(!$puntoControl['Estado']) $faltanPuntos=true; ?>
        <tr <?php if($puntoControl['Estado']=='NOOK') { ?>class="rojo fondoRojo"<?php } ?>>
        	<td align="center"><?php if($puntoControl['Estado']=='NOOK') echo 'No ok'; else if($puntoControl['Estado']=='OK') echo 'Ok'; else if($puntoControl['Estado']=='NA') echo 'N/A'; ?></td>
            <td align="left"><?php echo $puntoControl['Descripcion']; ?></td>
			<td align="left"><?php echo $puntoControl['Dato']; ?></td>
            <td align="left"><?php echo $puntoControl['Observaciones']; ?></td>
        </tr>
        <?php } ?>
        
        </table>
        
        <table class="tablaFormateada" style="width:500px;margin-top:25px" >
            <tr><th style="height:20px"><img src="<?php echo DIR_IMAGENES; ?>/iconos/informacion.png" style="width:25px;margin-bottom:-8px;margin-right:10px"/> Observaciones transporte</th>
            </tr>
            <tr><td valign="top"><?php if($_SESSION['entrada']['Observaciones'] && is_string($_SESSION['entrada']['Observaciones'])) echo nl2br($_SESSION['entrada']['Observaciones']); ?></td></tr>
        </table>
        
        <table class="tablaFormateada" style="width:500px;margin-top:25px" >
            <tr><th style="height:20px"><img src="<?php echo DIR_IMAGENES; ?>/iconos/informacion.png" style="width:25px;margin-bottom:-8px;margin-right:10px"/> Incidencias transporte</th>
            </tr>
            <tr><td valign="top"><?php if($_SESSION['entrada']['Incidencias'] && is_string($_SESSION['entrada']['Incidencias'])) echo nl2br($_SESSION['entrada']['Incidencias']); ?></td></tr>
        </table>
    
    <?php if($_SESSION['entrada']['PuntosControlEstado']=='Pendiente' || $faltanPuntos) { ?>
    <p><input type="button" id="botonControlDescargaIr" name="botonControlDescargaIr" value="Informar Puntos de Control" class="boton"/></p>
    <?php } ?>
    
	<p><input type="button" id="botonControlDescargaCerrar" name="botonControlDescargaCerrar" value="Cerrar" class="boton reducido"/></p>
        
</div>

<?php

//POPUPS DE CONTROL DE DESCARGA PARA CADA PRODUCTO

foreach($productosLeidos as $producto) {

	$lineaEntrada=$producto['LineaEntrada'];
	$puntosDeControl=arreglaArrayPXMobileProxiumResult($producto['PuntosDeControl']);

	?>
	
	<div id="popupControlDescarga-<?php echo $lineaEntrada; ?>" class="popup" style="display:none"></div>
	<div id="popupControlDescargaContenido-<?php echo $lineaEntrada; ?>" class="popupContenidoScroll" style="display:none">
		
	   <h2>Control Descarga</h2>
		
			<table class="tablaFormateada">
			
			<tr>
				<th>Estado</th>
				<th>Descripción</th>
				<th>Valor</th>
				<th colspan="2">Observaciones</th>
			</tr>
			
			<?php foreach($puntosDeControl as $puntoControl) { ?>
			<tr <?php if($puntoControl['Estado']=='NOOK') { ?>class="rojo fondoRojo"<?php } ?>>
				<td align="center"><?php if($puntoControl['Estado']=='NOOK') echo 'No ok'; else if($puntoControl['Estado']=='OK') echo 'Ok'; ?></td>
				<td align="left"><?php echo $puntoControl['Descripcion']; ?></td>
				<td align="left"><?php echo $puntoControl['Dato']; ?></td>
				<td align="left"><?php echo $puntoControl['Observaciones']; ?></td>
			</tr>
			<?php } ?>
			
			</table>
		
		<p><input type="button" id="botonControlDescargaCerrar-<?php echo $lineaEntrada; ?>" name="botonControlDescargaCerrar-<?php echo $lineaEntrada; ?>" value="Cerrar" class="boton reducido botonControlDescargaProductoCerrar" lineaentrada="<?php echo $lineaEntrada; ?>"/></p>
			
	</div>
    
<?php } //Fin foreach puntos control por producto ?>


<script>
		
		$(document).ready(function() {
		
			$('#botonControlDescarga').on('click',function(){
				$('#popupControlDescarga').show();
				$('#popupControlDescargaContenido').show();
			});
			
			$('#botonControlDescargaIr').on('click',function(){
				$('#popupCargando').show();
				window.location='puntos-control.php?procedencia=descarga';
			});
			
			$('#botonControlDescargaCerrar').on('click',function(){
				$('#popupControlDescarga').hide();
				$('#popupControlDescargaContenido').hide();
			});
			
			$('.puntosControlProducto').on('click',function(){
				var lineaentrada=$(this).parent().parent().attr('lineaentrada');
				$('#popupControlDescarga-'+lineaentrada).show();
				$('#popupControlDescargaContenido-'+lineaentrada).css('top',$(document).scrollTop());
				$('#popupControlDescargaContenido-'+lineaentrada).show();
			});
			
			$('.botonControlDescargaProductoCerrar').on('click',function(){
				var lineaentrada=$(this).attr('lineaentrada');
				$('#popupControlDescarga-'+lineaentrada).hide();
				$('#popupControlDescargaContenido-'+lineaentrada).hide();
			});
		
		});
		
</script>

<?php } //Fin if puntos control descarga ?>
    
    
    
    
    
<?php if( $fichajeEntradas) { ?>

<form id="formularioTrabajadores" name="formularioTrabajadores" method="post" action="">

<div id="popupTrabajadores" class="popup" style="display:none;overflow:scroll">
    <div class="popupContenidoScroll">
    	<div id="popupTrabajadoresDetalle"></div>
	</div>
</div>

</form>

<h3>Operarios asociados:</h3>

<?php
	
$trabajadores=arreglaArrayPXMobileProxiumResult($_SESSION['entrada']['Trabajadores']);
	
$hayTrabajadores=false;
$unSoloTrabajador=false;
$fichajesIniciados=false;
$estoyYoAsociado=false;
	
if(count($trabajadores)>0) {
	
	$hayTrabajadores=true;
		
	if(count($trabajadores)==1) $unSoloTrabajador=true;
		
	?>
    <table class="tablaFormateada anchoMaximo">
        <tr>
            <th>Nº Operario</th>
            <th>Nombre</th>
            <th width="230">Otras Ordenes</th>
            <th>Desasociar</th>
        </tr>
    	<?php
		foreach($trabajadores as $trabajador) {
		
			if($trabajador['UsuarioProxium']==$_SESSION['usuario']['Usuario']) $estoyYoAsociado=true;
		
			$fichajeIniciado=false;
		
			$otrasOrdenes=arreglaArrayPXMobileProxiumResult($trabajador['OtrasOrdenes']);
			foreach($otrasOrdenes as $otraOrden) if($otraOrden['FichajeIniciado']=='S') { $fichajeIniciado=true; $fichajesIniciados=true; }
		
			?>
            <tr style="height:45px" <?php if($fichajeIniciado) { ?>class="rojo"<?php } ?>>
            	<td valign="top"><?php echo $trabajador['Trabajador']; ?></td>
            	<td valign="top"><?php echo $trabajador['Nombre']; ?></td>
            	<td valign="top">
                <?php
                foreach($otrasOrdenes as $otraOrden) {
                	?>
                    <div style="width:230px;clear:both;overflow:hidden">
                    <div style="width:115px;height:30px;float:left;text-align:left"><?php echo $otraOrden['TipoOrden']; ?></div><div style="width:85px;height:30px;float:left;text-align:left"><?php echo $otraOrden['NumOrden']; ?></div><div style="width:30px;height:30px;float:left"><?php if($otraOrden['FichajeIniciado']=='S') { ?><img src="<?php echo DIR_IMAGENES; ?>/en-proceso.gif" width="25" height="25" /><?php } ?></div>
                    </div>
                    <?php
              	}
				?>
				</td><td>
                <?php if( !($unSoloTrabajador && $_SESSION['entrada']['Estado']=='Iniciada') && !($trabajador['UsuarioProxium']==$_SESSION['usuario']['Usuario'] && $_SESSION['entrada']['Estado']=='Iniciada') ) { ?>
                <img class="desasociarTrabajador clicable" trabajador="<?php echo $trabajador['Trabajador']; ?>" nombre="<?php echo $trabajador['Nombre']; ?>" src="<?php echo DIR_IMAGENES; ?>/x-ajustado.png" width="18" height="18" />
                <?php } ?>
            </tr>
            <?php
		}
		?>
     </table>
     <?php
}
else {
	?><p>No hay ningún trabajador asociado a la orden.</p><?php
}
	
?>
<p><input type="button" id="botonListadoTrabajadores" name="botonListadoTrabajadores" value="Asociar trabajadores" class="boton"/></p>
	
<script>
	
	$(document).ready(function() {
		
		$('#botonListadoTrabajadores').on('click',function(e){
			e.preventDefault();
			$('#popupCargando').show();
			$.post( "<?php echo $rutaHtml; ?>/contenidos/fichajes-listado-trabajadores-por-puesto.php<?php if($_GET['traza']=='si') { ?>?traza=si<?php } ?>" , { 'orden' : '<?php echo $_SESSION['entrada']['NumEntrada']; ?>' } )
			.done(function(data){
				$('#popupTrabajadoresDetalle').html(data);
				$('#popupTrabajadores').show();
				$('#popupCargando').hide();
			});
		});
		
		$('.desasociarTrabajador').on('click',function(e){
			
			e.preventDefault();
			
			<?php if( $_SESSION['entrada']['Estado']=='Iniciada' && $unSoloTrabajador ) { ?>
				alert('No puedes desasociar el único trabajador mientras la orden esté en ejecución.');
			<?php } else { ?>
			
			var trabajador=$(this).attr('trabajador');
			var nombre=$(this).attr('nombre');
			
			confirm('¿Deseas desasociar de esta Orden a '+nombre+'?')
			.done(function() {
			
				$('#popupCargando').show();
				$.post( "<?php echo $rutaHtml; ?>/contenidos/fichajes-desasociar-trabajador.php<?php if($_GET['traza']=='si') { ?>?traza=si<?php } ?>" , { 'orden' : '<?php echo $_SESSION['entrada']['NumEntrada']; ?>' , 'trabajador' : trabajador } )
				.done(function(data){
					
					//alert(data);
					
					$('#popupCargando').hide();
					
					if(data=='OK') {
						alert(nombre+'<br>Ha sido desasociado/a de esta Orden.')
						.done(function(){
							$('#popupCargando').show();
							window.location='entrada-mercancia-gs1.php';
						});
					}
					else {
						var valores=data.split('#');
						alert('Error: '+valores[1],null,'error');
					}
					
				});
			
			});
			
			<?php } ?>
			
		});
		
	});
	
</script>

<?php } ?>





<?php





function tablaProdutosSimple($productos,$nuevos,$mostrarPalet=false,$mostrarCaracteristicas=false) {

	global $hayPuntosControl;
	global $pedirUbicacion;
	
	global $cambioEstadoDevolucion;
	
	?>
	<table class="tablaFormateada anchoMaximo">
		<tr>
        	<th>Código</th>
            
            <?php if($_SESSION['entrada']['GestCodB']=='S') { ?>
            <th>Código B</th>
            <?php } ?>
            
            <th>Descripción</th>
            <?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
            	<?php if($comportamiento['Activo']=='S') { ?><th><?php echo $comportamiento['Nombre']; ?></th><?php } ?>
            <?php } ?>
            
            <?php if($_SESSION['entrada']['EANVisible']=='S') { ?>
            <th>EAN</th>
            <?php } ?>
            
            <?php if($_SESSION['entrada']['MarcaVisible']=='S') { ?>
            <th>Marca</th>
            <?php } ?>
            
            <?php if($cambioEstadoDevolucion) { ?>
            <th>Estado</th>
            <?php } ?>
            
            <th>Cantidad prevista</th>
            <th>Cantidad leida</th>
            <th>Formato</th>
            
            <?php if($mostrarCaracteristicas) { ?>
            <th>Características</th>
            <?php } ?>
            
            <?php if($mostrarPalet) { ?>
            <th style="width:160px">Palet</th>
            <?php } ?>
            <?php if($hayPuntosControl) { ?>
            <th></th>
            <?php } ?>
            
		</tr>
		<?php
		
		foreach($productos as $producto) {
		
		$palets=arreglaArrayPXMobileProxiumResult($producto['ProductoPalets']);
		$cuantosPalets=count($palets);
		
		$cadenaNumerosSerie='';
		$numerosSerie=arreglaArrayPXMobileProxiumResult($producto['NumerosSerie']);
		foreach($numerosSerie as $numero) {
			if(!empty($cadenaNumerosSerie)) $cadenaNumerosSerie.=';';
			$cadenaNumerosSerie.=$numero['NumeroSerie'].','.$numero['Leido'].','.$numero['Ubicacion'];
		}
        ?>
        
		<tr class="lineaEntrada">
			<td><?php echo $producto['Codigo']; ?></td>
            
            <?php if($_SESSION['entrada']['GestCodB']=='S') { ?>
            <td><?php echo $producto['CodigoB']; ?></td>
            <?php } ?>
            
            <td align="left"><?php echo $producto['Descripcion']; ?></td>
			<?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
            	<?php if($comportamiento['Activo']=='S') { ?>
                	<td>
                    	<?php
                            if($comportamiento['Codigo']=='NS' && $producto['NumerosSerie']) {
                                ?><img class="verNumerosSerie clicable" src="<?php echo DIR_IMAGENES; ?>/barcode-buscar.png" style="width:60px" numeros="<?php echo $cadenaNumerosSerie; ?>"/><?php
                            }
                            else if($comportamiento['NombreSQL']=='Regimen') echo $producto['Regimen'];
							else echo formateaTipo($producto[$comportamiento['NombreSQL']],$comportamiento['Tipo']);
                    	?>
                	</td> 
            	<?php } ?>
            <?php } ?>
            
            <?php if($_SESSION['entrada']['EANVisible']=='S') { ?>
            <td align="center"><?php echo $producto['EAN']; ?></td>
            <?php } ?>
            
            <?php if($_SESSION['entrada']['MarcaVisible']=='S') { ?>
            <td align="center"><?php echo $producto['Marca']; ?></td>
            <?php } ?>
            
            <?php if($cambioEstadoDevolucion) { ?>
            <td align="center"><?php echo $producto['EstadoRecepcionDescripcion']; ?></td>
            <?php } ?>
            
            <td align="right"><?php if(!$nuevos) echo formateaNumeroDecimal($producto['Cantidad']-$producto['CantidadExcedida']); ?></td>
            <td align="right"><?php echo formateaNumeroDecimal($producto['Leido']); ?></td>
            <td align="center"><?php echo $producto['Formato']; ?></td>
            
            <?php if($mostrarCaracteristicas) { ?>
                <td>
                	<?php if($producto['CaracteristicasProducto']) { ?>
                                    
						<?php
                        $caracteristicas=arreglaArrayPXMobileProxiumResult($producto['CaracteristicasProducto']);
                        $caracteristicas=json_encode($caracteristicas);
                        $caracteristicas=base64_encode($caracteristicas);
                        ?>
                        
                        <img src="<?php echo DIR_IMAGENES; ?>/palet-info.png" style="width:50px" class="clicable caracteristicasProducto" contenido="<?php echo $caracteristicas; ?>" LineaEntrada="<?php echo $producto['LineaEntrada']; ?>"/>
                    
                  <?php } ?>
                </td>
            <?php } ?>
            
            <?php if($mostrarPalet) { ?>
            <td align="left">
						<?php
						$contadorPalet=1;
						foreach($palets as $palet) {
							if($palet['CodigoPalet']!='-') {
								if(!(float)$palet['CantidadLeida']>0) { ?><span class="error"><?php }
								echo $palet['CodigoPalet'];
								if(!(float)$palet['CantidadLeida']>0) { ?></span><?php }
								if((float)$palet['CantidadLeida']>0) { echo " (".$palet['CantidadLeida'].")"; }
								
								if($palet['IdPaletCliente']) echo '<br /><span style="color:#888888;font-size:0.86em">'.$palet['IdPaletCliente'].'</span>';
								if($palet['IdSubPaletCliente']) echo '<br /><span style="color:#888888;font-size:0.86em">'.$palet['IdSubPaletCliente'].'</span>';
								
								if($pedirUbicacion) echo '<br />'.$palet['UbicacionPalet'];
								
								if($contadorPalet<$cuantosPalets) echo '<hr>';
								$contadorPalet++;
							}
						}
						?>
			</td>
            <?php } ?>
            
            <?php if($hayPuntosControl) { ?>
            <td><?php if($producto['PuntosDeControl']) { ?><img src="<?php echo DIR_IMAGENES; ?>/control.png" style="width:50px" /><?php } ?></td>
            <?php } ?>
		</tr>
		<?php }  ?>
	</table>
    <?php

}

if($pantallaDiscrepancias) {

	
	//echo '<p>discrepanciasSinLeer:</p>';
	//print_r($discrepanciasSinLeer);
	//echo '<p>discrepanciasLeidoDeMas:</p>';
	//print_r($discrepanciasLeidoDeMas);
	//echo '<p>discrepanciasNuevos:</p>';
	//print_r($discrepanciasNuevos);

	?>
    <img src="<?php echo DIR_IMAGENES; ?>/iconos/advertencia.png" style="width:60px;height:60px;margin-top:20px"/>
    <h2>Revisión de discrepancias</h2>
    <?php
	
	if(count($discrepanciasSinLeer)>0) {
		?><h3>Productos por leer:</h3><?php
		tablaProdutosSimple($discrepanciasSinLeer,false,false);
	}
	
	if(count($discrepanciasCaracteristicas)>0) {
		?><h3>Productos con discrepancias en las características informadas:</h3><?php
		tablaProdutosSimple($discrepanciasCaracteristicas,false,false,true);
	}
	
	if(count($discrepanciasLeidoDeMas)>0) {
		?><h3>Productos con cantidad leida mayor que la prevista:</h3><?php
		tablaProdutosSimple($discrepanciasLeidoDeMas,false,true);
	}
	
	if(count($discrepanciasNuevos)>0) {
		?><h3>Productos leidos no previstos inicialmente:</h3><?php
		tablaProdutosSimple($discrepanciasNuevos,true,true);
	}
	
	if($cambioEstadoDevolucion && count($discrepanciasEstados)>0) {
		?><h3>Productos con estado diferente a: <?php echo $_SESSION['entrada']['EstadoDevolucionDescrip']; ?></h3><?php
		tablaProdutosSimple($discrepanciasEstados,true,true);
	}

}
else {

	if(count($productosALeer)>0 || count($productosLeidos)>0) {
		
		?>
		
		
		<p>
        
        <?php if($_SESSION['entrada']['Regimen']=='GRAL') { ?>
        <input type="button" name="botonBuscarArticulos" id="botonBuscarArticulos" value="Buscar artículos" class="boton"/>
        <?php } ?>
        
        <input type="button" name="botonPalets<?php if($cantidadAgrupaciones==0) { ?>Off<?php } ?>" id="botonPalets<?php if($cantidadAgrupaciones==0) { ?>Off<?php } ?>" value="Agrupaciones: <?php echo $textoAgrupaciones; ?>" class="boton <?php if($cantidadAgrupaciones===0) { ?>deshabilitado<?php } else { ?>mostrarCargando<?php } ?>"/>
        
		<?php if($_SESSION['entradaOperativaCNFC']) { ?>
        <input type="button" name="botonResumen" id="botonResumen" value="Resumen de lecturas" class="boton"/>
        <?php } ?>
        
        </p>
		
		<div id="popupPalets" class="popup" style="display:none"></div>
		<div class="popupContenidoScroll" id="popupPaletsContenido" style="display:none">
        
        
			<p>Palets con productos asociados a esta Entrada:</p>
			
			<table cellpadding="0" style="margin:0 auto">
			
			<?php foreach( $_SESSION['palets'] as $palet ) { ?>
			
				<tr>
                
                <?php $tempDirImagenes=DIR_IMAGENES; //Error PHP VCDL ?>
				
				<?php if($_SESSION['seleccionTipoPaletEntrada']) { ?>
					<td><img src="<?php echo $tempDirImagenes; ?>/palet-vacio<?php if($_SESSION['tiposPalet'][$palet['TipoPalet']]['CHEP']=='S') { ?>-chep<?php } ?>.png" width="50" height="36"/></td>
				<?php } ?>
				<td style="padding:0 20px 0 20px">
				<?php if(in_array($palet['CodigoPalet'],$_SESSION['paletsConProductos'])) {?>
					<h2><?php echo $palet['CodigoPalet']; ?></h2>
				<?php } else { ?>
					<h2 class="error"><?php echo $palet['CodigoPalet']; ?></h2>
				<?php } ?>
				</td>
				<td>
				<?php if(!in_array($palet['CodigoPalet'],$_SESSION['paletsConProductos'])) {?>
					<img id="borrarPalet<?php echo $palet['CodigoPalet']; ?>" palet="<?php echo $palet['CodigoPalet']; ?>" src="<?php echo DIR_IMAGENES; ?>/x.png" width="67" class="borrarPalet clicable" style="margin-left:-10px"/>
				<?php } ?>
				</td>
				
				<?php if($_SESSION['seleccionTipoPaletEntrada']) { ?>
					<td align="left"><?php echo $_SESSION['tiposPalet'][$palet['TipoPalet']]['Descripcion']; ?></td>
				<?php } ?>	
				
				</tr>
				
				<?php if( $_SESSION['relacionPaletsProxiumCliente'][$palet['CodigoPalet']] ) { ?>
					<tr>
					<?php if($_SESSION['seleccionTipoPaletEntrada']) { ?><td></td><?php } ?>
					<td>
						<?php echo $_SESSION['relacionPaletsProxiumCliente'][$palet['CodigoPalet']]; ?>
                        <?php
                        if($_SESSION['relacionPaletsProxiumClienteSubId'][$palet['CodigoPalet']]) { 
							?><br /><?php echo $_SESSION['relacionPaletsProxiumClienteSubId'][$palet['CodigoPalet']]; ?><?php
						}
						?>
                    </td>
					<?php if($_SESSION['seleccionTipoPaletEntrada']) { ?><td></td><?php } ?>
					</tr>
				<?php } ?>
				
			<?php } ?>
			
			</table>
            
            <?php if($_SESSION['entrada']['RequiereDimensionesPalets']=='S') { ?>
            <p><input type="submit" name="botonPaletsAtributos" id="botonPaletsAtributos" value="Informar atributos" class="boton reducido"/></p>
            <?php } ?>
			
			<p><input type="submit" name="botonAceptarPalets" id="botonAceptarPalets" value="Cerrar" class="boton reducido"/></p>
			
		</div>
        
        <?php if($_SESSION['entrada']['InstruccionesDescarga']) { ?>
        <table class="tablaFormateada anchoMaximo" style="margin-bottom:20px">
            <tr><th style="height:20px"><img src="<?php echo DIR_IMAGENES; ?>/iconos/informacion.png" style="width:25px;margin-bottom:-8px;margin-right:10px"/> Instrucciones de Descarga</th>
            </tr>
            <tr><td valign="top"><?php if($_SESSION['entrada']['InstruccionesDescarga'] && is_string($_SESSION['entrada']['InstruccionesDescarga'])) echo nl2br($_SESSION['entrada']['InstruccionesDescarga']); ?></td></tr>
        </table>
        <?php } ?>
		
		<?php if(count($productosALeer)>0) { ?>
		
        <h3>Productos a leer:</h3>
        
		<table class="tablaFormateada anchoMaximo">
				<tr>
                	<?php if(!$ocultarSelectorLinea) { ?>
					<th>Iniciar</th>
                    <?php } ?>
                    
					<th>Código</th>
                    
                    <?php if($_SESSION['entrada']['GestCodB']=='S') { ?>
                    <th>Código B</th>
                    <?php } ?>
                    
					<th>Descripción</th>
					<?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
						<?php if($comportamiento['Activo']=='S') { ?><th><?php echo $comportamiento['Nombre']; ?></th><?php } ?>
					<?php } ?>
                    
                    <?php if($_SESSION['entrada']['EANVisible']=='S') { ?>
                    <th>EAN</th>
                    <?php } ?>
                    
                    <?php if($_SESSION['entrada']['MarcaVisible']=='S') { ?>
                    <th>Marca</th>
                    <?php } ?>
                    
					<th>Cantidad</th>
					<?php if($_SESSION['verEnCajas']=='S') { ?><th>Cajas</th><?php } ?>
					<th>Formato</th>
					<th>Leído</th>
					<?php if($_SESSION['verEnCajas']=='S') { ?><th>Leído Cajas</th><?php } ?>
					
                    <?php if($_SESSION['entrada']['mostrarObservacionesAduana']) { ?>
					<th>Obs. Aduana</th>
					<?php } ?>
                    
					<?php if($hayPuntosControl) { ?>
					<th></th>
					<?php } ?>
                    
                    <?php if($_SESSION['entradaBorrarLineas']) { ?>
                    <th>Borrar</th>
                    <?php } ?>
                    
                    <?php if($asociacionEANaProductos) { ?>
                    <th colspan="2">Códigos EAN</th>
                    <?php } ?>
                    
				</tr>
				<?php
				
				$todosLosProductosSonConPesaje=true;
			
				foreach($productosALeer as $producto) {
				
					$datos=$producto['Datos']['PXMobileProxiumResult'];
					
					?>
					<tr class="lineaEntrada lineaseleccionable" lineaentrada="<?php echo $producto['LineaEntrada']; ?>" articulo="<?php echo $producto['Descripcion']; ?>">
						
						
						
						
						<?php if(!$ocultarSelectorLinea) { ?>
						
							<td>
							
							<?php if($producto['ControlPesaje']=='S') { ?>
						
								<img src="<?php echo DIR_IMAGENES; ?>/peso.png" style="width:30px"/>
						
							<?php } else { ?>
							
								<?php $todosLosProductosSonConPesaje=false; ?>
							
								<?php if($producto['Preparado']<$producto['Cantidad'] ) { ?>
									<input name="iniciar<?php echo $producto['LineaEntrada']; ?>" type="checkbox" class="checkGrande selectorInicio" id="iniciar<?php echo $producto['LineaEntrada']; ?>" codigo="<?php echo $producto['Codigo']; ?>" <?php foreach($_SESSION['comportamientosGlobales'] as $comportamiento) if($comportamiento['NombreSQL']!='Regimen') { echo 'Control'.$comportamiento['NombreSQL'].'='.$producto['Control'.$comportamiento['NombreSQL']].' '; } ?> cantidad="<?php echo $producto['Cantidad']; ?>" cantidadcajas="<?php echo $producto['CantidadCajas']; ?>" embalajeprimariocaja="<?php echo $producto['EmbalajePrimarioCaja']; ?>" leido="<?php echo $producto['Leido']; ?>" lineaentrada="<?php echo $producto['LineaEntrada']; ?>"/>
								<?php } ?>
							
							<?php } ?>
							
							</td>
						
						<?php } ?>
					  
					  <td><?php echo $producto['Codigo']; ?></td>
					  
					  <?php if($_SESSION['entrada']['GestCodB']=='S') { ?>
						<td><?php echo $producto['CodigoB']; ?></td>
						<?php } ?>
						
						<td align="left" style="max-width:400px;word-wrap:break-word;"><?php echo $producto['Descripcion']; ?></td>
						
						<?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
							<?php if($comportamiento['Activo']=='S') { ?>
							<td><?php
							if($comportamiento['NombreSQL']=='Regimen') echo $producto['Regimen'];
							else if( $producto['Control'.$comportamiento['NombreSQL']]=='S' || $producto['Control'.$comportamiento['NombreSQL']]=='SOP' ) {
								if($producto[$comportamiento['NombreSQL']]) echo formateaTipo($producto[$comportamiento['NombreSQL']],$comportamiento['Tipo']);
								else if($producto['Control'.$comportamiento['NombreSQL']]=='S') { ?><img src="<?php echo DIR_IMAGENES; ?>/iconos/informacion.png" style="width:20px"/><br /><span style="font-size:0.9em">Informar</span><?php }
							}
							?></td>
						<?php } ?>
						<?php } ?>
						
						<?php if($_SESSION['entrada']['EANVisible']=='S') { ?>
						<td align="center"><?php echo $producto['EAN']; ?></td>
						<?php } ?>
						
						<?php if($_SESSION['entrada']['MarcaVisible']=='S') { ?>
						<td align="center"><?php echo $producto['Marca']; ?></td>
						<?php } ?>
						
						<td align="right"><?php echo formateaNumeroDecimal($producto['Cantidad'],true); ?></td>
						<?php if($_SESSION['verEnCajas']=='S') { ?><td align="right"><?php echo formateaNumeroDecimalBasico($producto['CantidadCajas'],2); ?><br /></td><?php } ?>
						<td align="center"><?php echo $producto['Formato']; ?></td>
						<td align="center"><?php echo formateaNumeroDecimal($producto['Leido'],true); ?></td>
						<?php if($_SESSION['verEnCajas']=='S') { ?><td align="center"><?php echo formateaNumeroDecimalBasico($producto['LeidoCajas'],2); ?></td><?php } ?>
						
						<?php if($_SESSION['entrada']['mostrarObservacionesAduana']) { ?>
						<td><?php if($producto['ObsAduana']) { ?><img src="<?php echo DIR_IMAGENES; ?>/palet-info.png" style="width:50px" class="clicable observacionesAduana" contenido="<?php echo $producto['ObsAduana']; ?>"/><?php } ?></td>
						<?php } ?>
						
						<?php if($hayPuntosControl) { ?>
						<td><?php if($producto['PuntosDeControl']) { ?><img src="<?php echo DIR_IMAGENES; ?>/control.png" style="width:50px"/><?php } ?></td>
						<?php } ?>
						
						<?php if($_SESSION['entradaBorrarLineas']) { ?>
						<td>
							<?php if($_SESSION['entrada']['Regimen']=='GRAL') { ?>
							<?php if(!$producto['Leido']) { ?><img src="<?php echo DIR_IMAGENES; ?>/x-ajustado.png" width="18" height="18" class="iconoBorrar clicable"/><?php } ?>
							<?php } ?>
						</td>
						<?php } ?>
                        
                        <?php if($asociacionEANaProductos) { ?>
                        <td>
							<?php
                            if($producto['EAN']) {
								$listaEans=explode(';',$producto['EAN']);
								foreach($listaEans as $item) {
									if($item!='') echo $item.'<br>';
								}
							}
							?>
                        </td>
                        <td><?php if($producto['EsGenerico']!='S') { ?><img src="<?php echo DIR_IMAGENES; ?>/entrada-modo-C.png" style="width:70px" class="botonInformarEAN clicable <?php if(!$producto['EAN']) { ?>parpadea<?php } ?>" producto="<?php echo $producto['Codigo']; ?>"/><?php } ?>
                            <!--<input type="button" value="Informar" class="boton reducido botonInformarEAN" producto="<?php echo $producto['Codigo']; ?>"/>-->
                        </td>
                        <?php } ?>
						
					</tr>
					<?php
				
				} //Fin iteracion productos
				
				?>
			</table>
            
            <?php if($_SESSION['entradaBorrarLineas']) { ?>
            
            <script>
			
			$(document).ready(function() {
			
				$('.iconoBorrar').on('click',function(){
				
					var linea=$(this).parent().parent().attr('lineaentrada');
					var articulo=$(this).parent().parent().attr('articulo');
				
					confirm('Atención: Se va a proceder a eliminar la linea correspondiente al producto:<br><strong>'+articulo+'</strong>.','advertencia')
					.done(function(){
						$('#popupCargando').show();
						window.location='entrada-mercancia-gs1.php?borrar=si&linea='+linea;
					});
				
				});
				
			});
			
			</script>
            
            <?php } ?>
            
			<?php
			
		}
		else{
			?><p class="error">No constan productos pendientes de leer.</p><?php
		}
	
		?>
        
        
        <?php if($puntosControlDescarga) { ?>
        
        <table class="anchoMaximo" style="margin:25px auto" cellpadding="0" cellspacing="0" border="0">
        
        <tr>
        
        <td width="50%" align="left" valign="top">
        
            <table class="tablaFormateada" style="width:calc(100% - 10px)">
                <tr><th style="height:20px"><img src="<?php echo DIR_IMAGENES; ?>/iconos/informacion.png" style="width:25px;margin-bottom:-8px;margin-right:10px"/> Observaciones transporte</th>
                </tr>
                <tr><td valign="top"><?php if($_SESSION['entrada']['Observaciones'] && is_string($_SESSION['entrada']['Observaciones'])) echo nl2br($_SESSION['entrada']['Observaciones']); ?></td></tr>
            </table>
        
        </td>
        <td width="50%" align="right" valign="top">
        
            <table class="tablaFormateada" style="width:calc(100% - 10px)">
                <tr><th style="height:20px"><img src="<?php echo DIR_IMAGENES; ?>/iconos/informacion.png" style="width:25px;margin-bottom:-8px;margin-right:10px"/> Incidencias transporte</th>
                </tr>
                <tr><td
                 valign="top"><?php if($_SESSION['entrada']['Incidencias'] && is_string($_SESSION['entrada']['Incidencias'])) echo nl2br($_SESSION['entrada']['Incidencias']); ?></td></tr>
            </table>
        
        </td>
        
        </table>
        
        <?php } //Fin si hay puntosControlDescarga ?>
        
        
        <?php
		
		
		//print_r($_SESSION['agrupaciones']);
		
	
		if(count($productosLeidos)>0) {
		
		?><h3>Productos ya leídos:</h3><?php
			
			?>
			<table class="tablaFormateada2022 noColorearAlternos anchoMaximo" style="font-size:0.85em">
				<tr>
					<th>Código</th>
                    
                    <?php if($_SESSION['entrada']['GestCodB']=='S') { ?>
                    <th>Código B</th>
                    <?php } ?>
                    
					<th>Descripción</th>
					<?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
						<?php if($comportamiento['Activo']=='S') { ?><th><?php echo $comportamiento['Nombre']; ?></th><?php } ?>
					<?php } ?>
                    
                    <?php if($_SESSION['entrada']['EANVisible']=='S') { ?>
                    <th>EAN</th>
                    <?php } ?>
                    
                    <?php if($_SESSION['entrada']['MarcaVisible']=='S') { ?>
                    <th>Marca</th>
                    <?php } ?>
                    
                    <?php if($cambioEstadoDevolucion) { ?>
                    <th>Estado</th>
                    <?php } ?>
                    
					<th>Cantidad</th>
					<?php if($_SESSION['verEnCajas']=='S') { ?><th>Cajas</th><?php } ?>
					
                    <!--<th style="width:160px">Palet</th>-->
                    <?php $colspanAgrupaciones=3; ?>
                    <?php if($pedirUbicacion) $colspanAgrupaciones++; ?>
                    <th colspan="<?php echo $colspanAgrupaciones; ?>">Agrupaciones</th>
					
                    <th>Formato</th>
                    
                    <?php if($hayCaracteristicasProducto) { ?>
                    <th>Características</th>
                    <?php } ?>
                    
                    <?php if($_SESSION['entrada']['mostrarObservacionesAduana']) { ?>
					<th>Obs. Aduana</th>
					<?php } ?>
                    
                    <?php if($puntosControlDescarga) { ?>
                    <th>Control descarga</th>
                    <?php } ?>
                    
                    <th>Añadir más</th>
                    
				</tr>
				<?php
				
				function pintaFilaPalets($palet) {
				
					global $pedirUbicacion;
					
					if($palet['CodigoPalet']!='-') {
							
						?>
                        <td>
						
							<?php if($palet['EsCaja']!='S') { ?>
						
								<?php if($palet['EsCarro']=='S') { ?>
                                    <img src="<?php echo DIR_IMAGENES; ?>/carro.png" style="width:35px;"/>
                                <?php } else { ?>
                                    <img src="<?php echo DIR_IMAGENES; ?>/palet-vacio.png" style="width:40px;"/>
								<?php } ?>
                                
                                <br />
								
								<?php if(!(float)$palet['CantidadLeida']>0 ) { ?>
                                <span class="error"><?php echo $palet['CodigoPalet']; ?></span> <img src="<?php echo DIR_IMAGENES; ?>/x-ajustado.png" alt="Eliminar" class="borrarPalet clicable" palet="<?php echo $palet['CodigoPalet']; ?>" style="margin: 0 0 -2px 10px"/>
								<?php } ?>
								
								<?php echo $palet['CodigoPalet']; ?>
								
								<?php if($palet['IdPaletCliente']) { ?><br /><span style="color:#888888;font-size:0.86em"><?php echo $palet['IdPaletCliente']; ?></span><?php } ?>
								<?php if($palet['IdSubPaletCliente']) { ?><br /><span style="color:#888888;font-size:0.86em"><?php echo $palet['IdSubPaletCliente']; ?></span><?php } ?>
								
							<?php } else { ?>
							
								<?php if($palet['PaletPadre']) { ?>
									<img src="<?php echo DIR_IMAGENES; ?>/palet-vacio.png" style="width:40px;"/>
                                    <br />
									<?php echo $palet['PaletPadre']; ?>
								<?php } ?>
							
							<?php } ?>
						
						</td>
						<td>
						
							<?php if($palet['EsCaja']=='S') { ?>
							
								<?php if($palet['EsCajaRoturas']=='S') { ?>
									<img src="<?php echo DIR_IMAGENES; ?>/caja-roturas.png" style="width:30px;"/>
								<?php } else { ?>
									<img src="<?php echo DIR_IMAGENES; ?>/caja-vacia.png" style="width:30px;"/>
								<?php } ?>
								
								<br />
								
								<?php echo $palet['CodigoPalet']; ?>
								
							<?php } ?>
                            
                        </td>
                        
                 <?php } else { ?>
                 
                 		<td></td>
                        <td></td>
                 
                 <?php } ?>
						
                <td>
                    <?php if((float)$palet['CantidadLeida']>0) echo formateaNumeroDecimal($palet['CantidadLeida']); ?>
                </td>
                
                <?php if($pedirUbicacion) { ?>
                
                <td><?php echo $palet['UbicacionPalet']; ?></td>
                    
                <?php } ?>

            	<?php
				}
			
				foreach($productosLeidos as $producto) {
				
					$cadenaNumerosSerie='';
					$numerosSerie=arreglaArrayPXMobileProxiumResult($producto['NumerosSerie']);
					foreach($numerosSerie as $numero) {
						if(!empty($cadenaNumerosSerie)) $cadenaNumerosSerie.=';';
						$cadenaNumerosSerie.=$numero['NumeroSerie'].','.$numero['Leido'].','.$numero['Ubicacion'];
					}
					
					$palets=array();
					foreach(arreglaArrayPXMobileProxiumResult($producto['ProductoPalets']) as $item) if($item['CantidadLeida']>0) { $palets[]=$item; }
					$cuantosPalets=count($palets);
					
					//foreach($palets as $item) { print_r($item); echo '<hr>'; }
					//echo '<p>cuantosPalets: '.$cuantosPalets.'</p>';
					
					$colores='';
					if($producto['MarcaLineaNueva']=='S') $colores.=' fondoVerde';
					if($producto['MarcaDiscrepancia']=='S') $colores.=' rojo';
					else if($producto['MarcaLineaNueva']=='S') $colores.=' verde';
					
					?>
	
					<tr class="lineaEntrada lineaSeleccionable2 <?php echo $colores; ?>" lineaentrada="<?php echo $producto['LineaEntrada']; ?>">
						
						<td rowspan="<?php echo $cuantosPalets; ?>"><?php echo $producto['Codigo']; ?></td>
                        
                        <?php if($_SESSION['entrada']['GestCodB']=='S') { ?>
                        <td rowspan="<?php echo $cuantosPalets; ?>"><?php echo $producto['CodigoB']; ?></td>
                        <?php } ?>
                        
						<td rowspan="<?php echo $cuantosPalets; ?>" align="left" style="max-width:400px;word-wrap:break-word;"><?php echo $producto['Descripcion']; ?></td>
						<?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
							<?php if($comportamiento['Activo']=='S') { ?>
								<td rowspan="<?php echo $cuantosPalets; ?>">
								<?php
								if($comportamiento['Codigo']=='NS' && $producto['NumerosSerie']) {
									?><img class="verNumerosSerie clicable" src="<?php echo DIR_IMAGENES; ?>/barcode-buscar.png" style="width:60px" numeros="<?php echo $cadenaNumerosSerie; ?>"/><?php
								}
								else if($comportamiento['NombreSQL']=='Regimen') echo $producto['Regimen'];
								else echo formateaTipo($producto[$comportamiento['NombreSQL']],$comportamiento['Tipo']);
								?>
								</td> 
							<?php } ?>
						<?php } ?>
                        
                        <?php if($_SESSION['entrada']['EANVisible']=='S') { ?>
                        <td rowspan="<?php echo $cuantosPalets; ?>" align="center"><?php echo $producto['EAN']; ?></td>
                        <?php } ?>
                        
                        <?php if($_SESSION['entrada']['MarcaVisible']=='S') { ?>
                        <td rowspan="<?php echo $cuantosPalets; ?>" align="center"><?php echo $producto['Marca']; ?></td>
                        <?php } ?>
                        
                        <?php if($cambioEstadoDevolucion) { ?>
                        <td rowspan="<?php echo $cuantosPalets; ?>" align="center"><?php echo $producto['EstadoRecepcionDescripcion']; ?></td>
                        <?php } ?>
                        
						<td rowspan="<?php echo $cuantosPalets; ?>" align="right"><?php echo formateaNumeroDecimal($producto['Leido'],true); ?></td>
						
						<?php if($_SESSION['verEnCajas']=='S') { ?><td rowspan="<?php echo $cuantosPalets; ?>" align="right"><?php echo formateaNumeroDecimalBasico($producto['LeidoCajas'],2); ?><br /></td><?php } ?>
						
                        <?php pintaFilaPalets($palets[0]); ?>
                        
                        <td rowspan="<?php echo $cuantosPalets; ?>" align="center"><?php echo $producto['Formato']; ?></td>
                        
                        <?php if($hayCaracteristicasProducto) { ?>
                            <td rowspan="<?php echo $cuantosPalets; ?>">
                            
                            	<?php if($producto['CaracteristicasProducto']) { ?>
                                
									<?php
									$caracteristicas=arreglaArrayPXMobileProxiumResult($producto['CaracteristicasProducto']);
									$caracteristicas=json_encode($caracteristicas);
									$caracteristicas=base64_encode($caracteristicas);
									?>
                                    
                                    <img src="<?php echo DIR_IMAGENES; ?>/palet-info.png" style="width:50px" class="clicable caracteristicasProducto" contenido="<?php echo $caracteristicas; ?>" LineaEntrada="<?php echo $producto['LineaEntrada']; ?>"/>
                                
                              <?php } ?>
                              
                        	</td>
                        <?php } ?>
                            
                    	<?php if($_SESSION['entrada']['mostrarObservacionesAduana']) { ?>
                        <td rowspan="<?php echo $cuantosPalets; ?>"><?php if($producto['ObsAduana']) { ?><img src="<?php echo DIR_IMAGENES; ?>/palet-info.png" style="width:50px" class="clicable observacionesAduana" contenido="<?php echo $producto['ObsAduana']; ?>"/><?php } ?></td>
                        <?php } ?>
                        
                        <?php if($puntosControlDescarga) { ?>
                        <td rowspan="<?php echo $cuantosPalets; ?>"><?php if($producto['PuntosDeControl']) { ?><img src="<?php echo DIR_IMAGENES; ?>/palet-info.png" style="width:50px" class="clicable puntosControlProducto" /><?php } ?></td>
                        <?php } ?>
                        
                        <td rowspan="<?php echo $cuantosPalets; ?>"><input name="iniciar<?php echo $producto['LineaEntrada']; ?>" type="checkbox" class="checkGrande selectorInicio" id="iniciar<?php echo $producto['LineaEntrada']; ?>" codigo="<?php echo $producto['Codigo']; ?>" <?php foreach($_SESSION['comportamientosGlobales'] as $comportamiento) if($comportamiento['NombreSQL']!='Regimen') { echo 'Control'.$comportamiento['NombreSQL'].'='.$producto['Control'.$comportamiento['NombreSQL']].' '; } ?> cantidad="<?php echo $producto['Cantidad']; ?>" cantidadcajas="<?php echo $producto['CantidadCajas']; ?>" embalajeprimariocaja="<?php echo $producto['EmbalajePrimarioCaja']; ?>" leido="<?php echo $producto['Leido']; ?>" lineaentrada="<?php echo $producto['LineaEntrada']; ?>"/></td>
						
					</tr>
                    
                    <?php if($cuantosPalets>1) { ?>
                    
                    	<?php for($i=1;$i<$cuantosPalets;$i++) { ?>
                        
                        	<tr><?php pintaFilaPalets($palets[$i]); ?></tr>
                        	
                        <?php } ?>
                        
                    <?php } ?>

				<?php } //Fin iteracion productos ?>
                    
			</table>
            
			<?php
	
		}
		
		if(count($productosLeidos)>0) {
			if($_SESSION['entrada']['EstadoOprep']!='Cerrada') {
				?><p><input type="submit" name="botonDesleer" id="botonDesleer" value="Liberar lecturas" class="mostrarCargando boton"  style="font-size:0.9em" /></p><?php
			}
		}
		
		
		
	}
	else {
		?><p>Esta Entrada no tiene productos en previsión.</p><?php
	}
	

} //Fin if discrepancias


if($pantallaDiscrepancias && $_SESSION['entradaOperativaCNFC']) {
	?><p><input type="submit" name="botonResumen" id="botonResumen" value="Resumen de lecturas" class="boton"/></p><?php
}

if(count($productosLeidos)>0) {
	?>
	<p><input type="button" name="botonConfirmarEntrada" id="botonConfirmarEntrada" value="CONFIRMAR LECTURA" class="boton" /></p>
	<?php
}

?>

</div> <!-- classe estilosOP -->

<script>

function gestionaInicio(redireccion=false){

	console.log('redireccion: '+redireccion);

	$('#popupCargando').show();
	
	var parametros='';
	var modoLectura=$('#modoLectura').val();
	
	<?php if($automatizarProducto) { ?>
	parametros='automatizarproducto=<?php echo $automatizarProducto; ?>';
	<?php } ?>
		
	//Primero miramos si hay check de inicio
	$('.selectorInicio').each( function(){
		if( $(this).is(":checked") ) parametros='lineaentrada='+$(this).attr('lineaentrada')+'&codigo='+$(this).attr('codigo');;
	});
	
	if( modoLectura=='L' && parametros=='' && !redireccion) {
		
		$('#popupModoLecturaEntrada').hide();
		$('#popupCargando').hide();
		alert('El modo de selección de artículos actual es por selección directa.<br><br>Selecciona un ítem del listado para proceder.',null,'advertencia');
	
	}
	else {
			
		<?php if($_SESSION['entrada']['Estado']=='Iniciada') { ?>
				
			if( modoLectura=='CNFC') {
					
				window.location='<?php echo $rutaHtml; ?>/entrada-mercancia-gs1-proceso-CNFC.php?'+parametros;
			}
			else {
				
				window.location='<?php echo $rutaHtml; ?>/entrada-mercancia-gs1-proceso.php?'+parametros;
			}
					
		<?php } else { ?>
			
			$.post( "<?php echo $rutaHtml; ?>/contenidos/entrada-mercancia-iniciar.php" )
			.done(function(data) {
					
				var resultado=data.split('#');
				if(resultado[0]==1) {
					$('#popupCargando').hide();
					alert('Error: '+resultado[1]);
				}
				else {
				
					if(redireccion) {
					
						window.location=window.location;
					
					}
					else {
				
						if( modoLectura=='CNFC') {
						
							window.location='<?php echo $rutaHtml; ?>/entrada-mercancia-gs1-proceso-CNFC.php?'+parametros;
						}
						else {
					
							window.location='<?php echo $rutaHtml; ?>/entrada-mercancia-gs1-proceso.php?'+parametros;
						}
						
					}
				}
			
			});
				
		<?php } ?>
			
	}
	
}


function botonPlay(simple=false) {

	console.log('botonPlay');

	if(simple) {
	
		console.log('se lanza gestionaInicio true');
	
		gestionaInicio(true);
	
	}
	else {

		<?php if($puntosControlDescarga && $_SESSION['entrada']['PuntosControlEstado']!='Finalizado') { ?>
		
			<?php if($_SESSION['entrada']['PuntosControlEstado']=='Pendiente') { ?>
		
			$('#popupCargando').show();
			window.location='puntos-control.php?procedencia=descarga';
			
			<?php } else { ?>
			
			alert('ATENCIÓN: No se puede comenzar la operativa<br>mientras el control de la Descarga tenga incidencias.',null,'advertencia');
			
			<?php } ?>
		
		<?php } else { ?>
	
			var modoLectura=$('#modoLectura').val();
			
			//20-06-2022 tarea 45839
			//Comprobar si no hay modo lectura y hay check, poner el modo L por defecto
			if( !modoLectura) {
				var hayCheck=false;
				$('.selectorInicio').each( function(){
					if( $(this).is(":checked") ) hayCheck=true;
				});
				if(hayCheck) {
					modoLectura='L';
					$('#modoLectura').val(modoLectura);
					$.post( "<?php echo $rutaHtml; ?>/contenidos/entrada-mercancia-gs1-selectorModoLectura-grabar.php" , { 'modoSeleccionado' : modoLectura } );
				}
			}
			
			<?php
			$textoInstrucciones=$_SESSION['entrada']['InstruccionesDescarga'];
			$mostrarInstrucciones=($_SESSION['entrada']['Estado']!='Iniciada' && $textoInstrucciones);
			if($textoInstrucciones) $longitudInstrucciones=strlen($textoInstrucciones); else $longitudInstrucciones=0;
			
			if($longitudInstrucciones>500) {
				?>$('#alertContenido').addClass('alertComprimido');<?php
			} else {
				?>$('#alertContenido').removeClass('alertComprimido');<?php
			}
			?>
			
			<?php if($mostrarInstrucciones) { ?>
			var textoInstrucciones='<h3>Instrucciones de Descarga (<?php echo $longitudInstrucciones; ?>):</h3><?php echo preg_replace("/[\r\n|\n|\r]+/","",nl2br($textoInstrucciones)); ?>';
			alert(textoInstrucciones,null,'informacion')
			.done(function(){
			<?php } ?>
			
			if( !modoLectura ) {
			
				$('#popupCargando').hide();
				$('#popupModoLecturaEntrada').show();
				$('#gestionaInicio').val(1)
					
			}
			else gestionaInicio(false);
			
			<?php if($mostrarInstrucciones) { ?>
			});
			<?php } ?>
		
		<?php } //Fin if puntosControlDescarga ?>
	
	}

}




$(document).ready(function() {


	$('.botonInformarEAN').on('click',function(e){
				
		var producto=$(this).attr('producto');
		
		$('#popupCargando').show();
			
		window.location='info-producto-S.php?procedencia=informarEan&subProcedencia=entrada&clientePropietario=<?php echo $_SESSION['entrada']['ClientePropietario']; ?>&producto='+producto;
	
	});


	$('.caracteristicasProducto').on('click',function(){
	
		$('#popupCargando').show();
	
		var contenido=$(this).attr('contenido');
		var LineaEntrada=$(this).attr('LineaEntrada');
	
		$.post('<?php echo $rutaHtml; ?>/contenidos/entrada-mercancia-caracteristicas.php<?php if($pantallaDiscrepancias) { ?>?discrepancias=si<?php } ?>' , { 'contenido' : contenido , 'LineaEntrada' : LineaEntrada })
		.done(function(data) {
		
			$('#popupCargando').hide();
		
			$('#popupCaracteristicasContenido').html(data);
			$('#popupCaracteristicas').show();
			
			var posicion=$(document).scrollTop();
			$('#popupCaracteristicasContenido').offset({ top: posicion+50 });

		});
		
	});
	
	$(document).on('click','#cerrarCaracteristicas',function(){
		$('#popupCaracteristicasContenido').html('');
		$('#popupCaracteristicas').hide();
	});



	$('#botonPalets').on("click",function(e){
		e.preventDefault();
		$.post( "<?php echo $rutaHtml; ?>/contenidos/entrada-mercancia-gs1-palets-listado-completo.php" , { textoAgrupaciones : '<?php echo $textoAgrupaciones; ?>' , 'pedirUbicacion' : '<?php echo $pedirUbicacion; ?>' } )
		.done( function(data){
			$('#popupPaletsContenido').html(data);
			$('#popupPalets').show();
			$('#popupPaletsContenido').show();
			$('#popupCargando').hide();
		});
	
	});

	
	
	<?php $tempRutaHtml=$rutaHtml; //29-11-2924 Error ejecucion PHP detetado en VCDL ?>
	
	$('#botonPaletsAtributos').on("click",function(e){
		$('#popupCargando').show();
		window.location='<?php echo $tempRutaHtml; ?>/palets-informar-atributos.php?origen=entrada';
	});
	
	
	
	$('#botonDesleer').on("click",function(e){
		window.location='<?php echo $rutaHtml; ?>/entrada-mercancia-desleer-gs1.php?entrada=<?php echo $_SESSION['entrada']['NumEntrada']; ?>&empresa=<?php echo $_SESSION['entrada']['Empresa']; ?>'
	});

	$('#botonLectura').on("click",function(e){
	
		botonPlay(false);

	});
	
	$('.selectorInicio').on("click",function(){
		if( $('#modoLectura').val()=='C' ) {
			alert('El modo de selección actual es por código de barras,<br>no se permite la selección directa.',null,'error');
			$(this).prop('checked',false); 
		}
	});

	$('#botonFinOrden').on("click",function(e){
		e.preventDefault();
		confirm("Vas a proceder a marcar la Entrada como Completada.")
		.done(function(){
				
			$('#popupCargando').show();
			$.post( "<?php echo $rutaHtml; ?>/contenidos/entrada-mercancia-marcar-completada.php" )
			.done(function(data) {
				var resultado=data.split('#');
				if(resultado[0]==1) {
					$('#popupCargando').hide();
					alert('Error: '+resultado[1]);
				}
				else {
					<?php if($_SESSION['entrada']['Estado']=='Iniciada') { ?>
					$.post( "<?php echo $rutaHtml; ?>/contenidos/entrada-mercancia-finalizar.php" )
					.done(function(data) {
						var resultado=data.split('#');
						if(resultado[0]==1) {
							$('#popupCargando').hide();
							alert('Error: '+resultado[1]);
						}
						else window.location='<?php echo $rutaHtml; ?>/entradas-mercancia-gs1.php';	
					});
					<?php } else { ?>
					window.location='<?php echo $rutaHtml; ?>/entradas-mercancia.php';
					<?php } ?>
				}
			});
		});
	});
	
	$('.verNumerosSerie').on('click',function(event){
		$.post('<?php echo $rutaHtml; ?>/contenidos/orden-preparacion-numeros-serie.php' , { 'numeros' : $(this).attr('numeros') , 'ocultarPreparado' : 'si' })
		.done(function(data) {
			$('#popupNumerosSerieContenido').html(data);
			$('#popupNumerosSerie').show();
			$('#popupNumerosSerieContenido').show();
			
			//var posicion=window.scrollY * 1.1;
			var posicion=event.pageY;
			console.log('posicion: '+posicion);
			$('#popupNumerosSerieContenido').offset({ top: posicion+20 });
		});
	});
	
	$('#botonConfirmarEntrada').on('click',function(){
	
		<?php if(count($_SESSION['paletsSinProductos'])>0) { ?>
		
			alert('Atención: Hay palets asignados y no utilizados en la Entrada.<br><br>Esto ocasionará errores de stock,<br>por lo que deben eliminarse previamente a la Confirmación.',null,'error');
		
		<?php } else { ?>
		
			<?php if( $hayDiscrepancias && !$pantallaDiscrepancias ) { ?>
				$('#confirmacionCierre').show();
			<?php } else { ?>
				$('#popupCargando').show();
				<?php if($_SESSION['entrada']['RequiereDimensionesPalets']=='S' && !$_SESSION['atributosPaletsConfirmadosEntrada']) { ?>
				window.location='<?php echo $rutaHtml; ?>/palets-informar-atributos.php?origen=entrada&cierre=si'
				<?php } else { ?>
				window.location='entrada-mercancia-gs1-cierre.php';
				<?php } ?>
			<?php } ?>
		
		<?php } ?>
	
	});
	
	$('#botonRevisar').on('click',function(){
		$('#popupCargando').show();
		window.location='?discrepancias=si';
	});
	
	$('#botonConfirmarDefinitivo').on('click',function(){
		$('#popupCargando').show();
		<?php if($_SESSION['entrada']['RequiereDimensionesPalets']=='S' && !$_SESSION['atributosPaletsConfirmadosEntrada']) { ?>
		window.location='<?php echo $rutaHtml; ?>/palets-informar-atributos.php?origen=entrada&cierre=si'
		<?php } else { ?>
		window.location='entrada-mercancia-gs1-cierre.php';
		<?php } ?>
	});
	
	$('.borrarPalet').on("click",function() {
		
		var palet=$(this).attr('palet');
		
		confirm('Se va a proceder a desasociar el Palet '+palet+' de la Entrada.<br><br>¿Deseas continuar?')
		.done(function(){
		
			$('#popupCargando').show();
			
			$.post( "<?php echo $rutaHtml; ?>/contenidos/entrada-palet-borrar.php<?php if($_GET['traza']=='si') { ?>?traza=si<?php } ?>", { 'palet' : palet , 'entrada' : '<?php echo $_SESSION['entrada']['NumEntrada']; ?>' })
			.done(function(data) {
				var resultado=data.split('#');
				if(resultado[0]==1) {
					$('#popupCargando').hide();
					alert('Error: '+resultado[1]);
				}
				else window.location='<?php echo $rutaHtml; ?>/entrada-mercancia-gs1.php';
			});
			
		});
			
	});
	
	/**** ESTO NO SE POR QUE NO FUNCIONA PARA EL SEGUNDO LISTADO. Asocio el evento a .lineaEntrada porque así sí que va (ver abajo) ***/
	$('.lineaseleccionable').on('click',function(){
		var lineaentrada=$(this).attr('lineaentrada');
		var valorActual=$('#iniciar'+lineaentrada).prop('checked');
		$('.selectorInicio').prop('checked',false);
		$('#iniciar'+lineaentrada).prop('checked',valorActual);
		
	});
	
	$('.lineaEntrada').on('click',function(){
		var lineaentrada=$(this).attr('lineaentrada');
		var valorActual=$('#iniciar'+lineaentrada).prop('checked');
		$('.selectorInicio').prop('checked',false);
		$('#iniciar'+lineaentrada).prop('checked',valorActual);
		
	});
	
	//06-07-2020 MODOS DE LECTURA
	
	$('#botonModoLecturaAceptar').on('click',function(e){
		
		var modoSeleccionado=$('input:radio[name=modoLectura]:checked').val();
		
		if ( modoSeleccionado ) {
			$.post( "<?php echo $rutaHtml; ?>/contenidos/entrada-mercancia-gs1-selectorModoLectura-grabar.php" , { 'modoSeleccionado' : modoSeleccionado } )
			.done(function(data) {
			
				$('#modoLectura').val( modoSeleccionado );
				
				if( $('#gestionaInicio').val()==1 && modoSeleccionado!='M' ) {
					gestionaInicio();
				}
				else {
					$('#popupModoLecturaEntrada').hide();
				}
				
			});
		}
		else alert('Por favor, especifica el modo de selección para esta Entrada.',null,'error');
	});
	
	$('#botonModoLecturaCancelar').on('click',function(e){
		$('#popupModoLecturaEntrada').hide();
	});
	
	$('#botonModoLectura').on('click',function(e){
		$('#popupModoLecturaEntrada').show();
	});
	
	$('.observacionesAduana').on('click',function(){
		var contenido=$(this).attr('contenido');
		var textoInstrucciones='<h3>Observaciones Aduana:</h3>'+contenido;
		alert(textoInstrucciones,null,'informacion')
	});
	
	$('#botonResumen').on('click',function(){
		$('#popupCargando').show();
		window.location='entrada-mercancia-gs1-resumen-lecturas.php';
	});
	
	$('#botonBuscarArticulos').on('click',function(){
		$('#popupCargando').show();
		window.location='info-producto-S.php?procedencia=entrada';
	});
	
	<?php 
	$tempAutomatizarProducto=false;
	if($automatizarProducto) $tempAutomatizarProducto=$automatizarProducto;  //29-11-2924 Error ejecucion PHP detetado en VCDL
	?>
	 
	<?php if($tempAutomatizarProducto) { ?>
	gestionaInicio(false);
	<?php } ?>

	<?php if($todosLosProductosSonConPesaje) { ?>
		<?php $modoLecturaEntradaMostrarMenu=false; ?>
		$('#modoLectura').val('C');
	<?php } ?>
	
});

<?php if(count($_SESSION['paletsSinProductos'])>0) { ?>
alert('Atención: Hay palets asignados y no utilizados en la Entrada,<br>que ha sido <span class="error">marcados en rojo</span> en los listados.<br><br>Para no ocasionar errores de stock,<br>deberían eliminarse antes de la Confirmación.',null,'advertencia');	
<?php } ?>

</script>
<?php
} //Else error


//COMPROBAMOS SI TIENE FOTOS
if($_SESSION['parametrosSGA']['EntradasFotos']=='S') {
	$rutaCompletaFotosEntradasEntrada=$_SERVER['DOCUMENT_ROOT'].$rutaHtml.'/fotos/entradas/'.$_SESSION['entrada']['NumEntrada'];
	if (is_dir($ruta)) {
		$directorio = opendir($rutaCompletaFotosEntradasEntrada);
		$contadorFotosSubidas=0;
		if($directorio) {
			while ($archivo = readdir($directorio)) if( $archivo != "." && $archivo != "..") {
				//echo $archivo.'<br>';
				$contadorFotosSubidas++;
			}
		}
	}
}

if( !$pantallaDiscrepancias )$noMostrarInfo=true;

if(isset($modoLecturaEntradaMostrarMenu)) $mostrarModoLectura=$modoLecturaEntradaMostrarMenu; else $mostrarModoLectura=true;
include($rutaPhp.$rutaHtml.'/maqueta/menu-entrada-mercancia-gs1.php');

include($rutaPhp.$rutaHtml.'/maqueta/abajo.php');
?>